concurrent = 1                                                                            
check_interval = 0                                                                        
                                                                                          
[session_server]                                                                          
  session_timeout = 1800                                                                  
                                                                                          
[[runners]]                                                                               
  name = "Docker Runner"                                                                  
  url = "https://gitlab.com/"                                                             
  token = "YOUR_GITLAB_RUNNER_TOKEN"                                                          
  executor = "docker"                                                                     
  [runners.custom_build_dir]                                                              
  [runners.docker]                                                                        
    tls_verify = false                                                                    
    image = "docker:latest"                                                               
    privileged = false                                                                    
    disable_entrypoint_overwrite = false                                                  
    oom_kill_disable = false                                                              
    disable_cache = false                                                                 
    volumes = ["/var/run/docker.sock:/var/run/docker.sock", "/cache"]                     
    shm_size = 0                                                                          
  [runners.cache]                                                                         
    [runners.cache.s3]                                                                    
    [runners.cache.gcs]                                                                   
